cURL
curl -X PATCH "https://api.fitsociety.io/public/v1/locations/{locationId}" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: <stable_request_key>" \
-H "Content-Type: application/json" \
-d '{}'const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Amsterdam HQ',
alternateName: '<string>',
address: '<string>',
primary: true,
timeZone: 'Europe/Amsterdam',
allowsClientAssignment: true,
coordinates: {longitude: 123, latitude: 123},
accessZones: [{key: '<string>', name: '<string>', isActive: true}],
facilitiesAndServices: {facilities: ['<string>'], services: ['<string>']},
profile: {}
})
};
fetch('https://api.fitsociety.io/public/v1/locations/{locationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/locations/{locationId}"
payload = {
"name": "Amsterdam HQ",
"alternateName": "<string>",
"address": "<string>",
"primary": True,
"timeZone": "Europe/Amsterdam",
"allowsClientAssignment": True,
"coordinates": {
"longitude": 123,
"latitude": 123
},
"accessZones": [
{
"key": "<string>",
"name": "<string>",
"isActive": True
}
],
"facilitiesAndServices": {
"facilities": ["<string>"],
"services": ["<string>"]
},
"profile": {}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"location": {
"locationId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Amsterdam HQ",
"alternateName": "HQ",
"address": "Main street 1",
"primary": true,
"coordinates": {
"longitude": 4.9,
"latitude": 52.37
},
"timeZone": "Europe/Amsterdam",
"type": "branch",
"allowsClientAssignment": true,
"accessZones": [
{
"key": "front",
"name": "Front desk",
"isActive": true
}
],
"facilitiesAndServices": {
"mode": "inherit",
"facilities": [
"<string>"
],
"services": [
"<string>"
]
},
"profile": {
"visibility": "inherit",
"displayName": "",
"description": "",
"website": "",
"email": "",
"phone": "",
"socialMedia": {
"instagram": "",
"facebook": "",
"linkedin": "",
"youtube": "",
"twitter": ""
}
},
"openingHours": {
"mode": "not_set",
"weeklyPattern": [
{
"dayOfWeek": 1,
"slots": [
{
"startTime": "09:00",
"endTime": "17:00"
}
]
}
],
"exceptions": [
{
"date": "2026-07-15T10:00:00.000Z",
"type": "closed",
"slots": [
{
"startTime": "09:00",
"endTime": "12:00"
}
],
"reason": "Holiday"
}
]
},
"archived": false,
"createdAt": "2026-07-15T10:00:00.000Z",
"updatedAt": "2026-07-15T10:00:00.000Z"
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
},
"idempotency": {
"replayed": true
}
}
}Locations
Update location
Requires locations:write.
PATCH
/
public
/
v1
/
locations
/
{locationId}
cURL
curl -X PATCH "https://api.fitsociety.io/public/v1/locations/{locationId}" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: <stable_request_key>" \
-H "Content-Type: application/json" \
-d '{}'const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Amsterdam HQ',
alternateName: '<string>',
address: '<string>',
primary: true,
timeZone: 'Europe/Amsterdam',
allowsClientAssignment: true,
coordinates: {longitude: 123, latitude: 123},
accessZones: [{key: '<string>', name: '<string>', isActive: true}],
facilitiesAndServices: {facilities: ['<string>'], services: ['<string>']},
profile: {}
})
};
fetch('https://api.fitsociety.io/public/v1/locations/{locationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/locations/{locationId}"
payload = {
"name": "Amsterdam HQ",
"alternateName": "<string>",
"address": "<string>",
"primary": True,
"timeZone": "Europe/Amsterdam",
"allowsClientAssignment": True,
"coordinates": {
"longitude": 123,
"latitude": 123
},
"accessZones": [
{
"key": "<string>",
"name": "<string>",
"isActive": True
}
],
"facilitiesAndServices": {
"facilities": ["<string>"],
"services": ["<string>"]
},
"profile": {}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"location": {
"locationId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Amsterdam HQ",
"alternateName": "HQ",
"address": "Main street 1",
"primary": true,
"coordinates": {
"longitude": 4.9,
"latitude": 52.37
},
"timeZone": "Europe/Amsterdam",
"type": "branch",
"allowsClientAssignment": true,
"accessZones": [
{
"key": "front",
"name": "Front desk",
"isActive": true
}
],
"facilitiesAndServices": {
"mode": "inherit",
"facilities": [
"<string>"
],
"services": [
"<string>"
]
},
"profile": {
"visibility": "inherit",
"displayName": "",
"description": "",
"website": "",
"email": "",
"phone": "",
"socialMedia": {
"instagram": "",
"facebook": "",
"linkedin": "",
"youtube": "",
"twitter": ""
}
},
"openingHours": {
"mode": "not_set",
"weeklyPattern": [
{
"dayOfWeek": 1,
"slots": [
{
"startTime": "09:00",
"endTime": "17:00"
}
]
}
],
"exceptions": [
{
"date": "2026-07-15T10:00:00.000Z",
"type": "closed",
"slots": [
{
"startTime": "09:00",
"endTime": "12:00"
}
],
"reason": "Holiday"
}
]
},
"archived": false,
"createdAt": "2026-07-15T10:00:00.000Z",
"updatedAt": "2026-07-15T10:00:00.000Z"
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
},
"idempotency": {
"replayed": true
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_....
Headers
Required for Public API write requests. Reusing the same key with the same method, path, and body replays the stored successful response; reusing it with a different request returns 409 idempotency.conflict.
Required string length:
1 - 200Example:
"booking-create-20260714-001"
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"
Body
application/json
Example:
"Amsterdam HQ"
Example:
"Europe/Amsterdam"
Available options:
branch, outdoor, online, external, temporary Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I